Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components API 4.2.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.richfaces.component
Enum SwitchType

    java.lang.Object
      java.lang.Enum<SwitchType>
          org.richfaces.component.SwitchType

All Implemented Interfaces:
  Serializable, Comparable<SwitchType>

    public enum SwitchType

extends Enum<SwitchType>

Since:
  Jun 15, 2010
Author:
  akolonitsky

Enum Constant Summary
`ajax` value for tab change method - ajax tabs
`client` value for tab change method for - client-side tabs.
`server` value for tab change method - server-side tabs

Field Summary
`static SwitchType` | `DEFAULT`

Method Summary
`static SwitchType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static SwitchType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### client

    public static final SwitchType client

  value for tab change method for - client-side tabs.

### server

    public static final SwitchType server

  value for tab change method - server-side tabs

### ajax

    public static final SwitchType ajax

  value for tab change method - ajax tabs

Field Detail

### DEFAULT

    public static final SwitchType DEFAULT

Method Detail

### values

    public static SwitchType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (SwitchType c : SwitchType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static SwitchType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components API 4.2.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2012 JBoss by Red Hat. All Rights Reserved.